%define upstream_name    Cache-LRU
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    A simple, fast implementation of LRU cache in pure perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildArch: noarch

%description
Cache::LRU is a simple, fast implementation of an in-memory LRU cache in
pure perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.40.0-9.mga10
+ Revision: 2203430
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-8.mga9
+ Revision: 1808346
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-7.mga8
+ Revision: 1503501
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.40.0-6.mga7
+ Revision: 1281885
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.40.0-5.mga7
+ Revision: 1163210
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 0.40.0-4.mga7
+ Revision: 1158745
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-3.mga6
+ Revision: 1022821
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-2.mga6
+ Revision: 949937
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 pterjan <pterjan> 0.40.0-1.mga5
+ Revision: 791844
- imported package perl-Cache-LRU


* Sun Oct 19 2014 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
